commit a186d72afd6cfb13efd4a0ec82049d79892334fd
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Thu Nov 19 22:32:54 2020 +0000

    libstdc++: Fix compilation error with clang-8 [PR 97876]
    
    This fixes a compilation error with clang-8 and earlier. This change is
    only on the gcc-10 branch, not master, because the <stop_token> header
    is included indirectly in more places on the branch than on master.
    
            PR libstdc++/97876
            * include/std/stop_token (_Stop_state_t): Define default
            constructor as user-provided not defaulted.

diff --git a/libstdc++-v3/include/std/stop_token b/libstdc++-v3/include/std/stop_token
index 76709dd59eb..80f50ea83ca 100644
--- a/libstdc++-v3/include/std/stop_token
+++ b/libstdc++-v3/include/std/stop_token
@@ -166,7 +166,7 @@ _GLIBCXX_BEGIN_NAMESPACE_VERSION
       __gthread_t _M_requester;
 #endif
 
-      _Stop_state_t() = default;
+      _Stop_state_t() noexcept { }
 
       bool
       _M_stop_possible() noexcept

